<!-- -------------------- ./doc/signature-page.html -------------------- -->

<?php include "snippets/header-new.html"; ?>

<?php
include "tpl/func/disp_status.php";
$stinf = GetStatusInfo($this->DOSINFO);
?>

<main class="os-main-content">
  <div class="fr-grid-row fr-grid-row--gutters">
    <div class="fr-col-12">
      <header class="os-main-content__header os-signature-page_header fr-mb-3v">
	
        <div class="fr-grid-row fr-grid-row--gutters">
          <div class="fr-col-3">
            <nav role="navigation" class="fr-breadcrumb" aria-label="vous êtes ici :">
              <button class="fr-breadcrumb__button" aria-expanded="false" aria-controls="breadcrumb-1">Voir le fil d’Ariane</button>
              <?php if ( $this->DISPACCOUNT == 1 ) : ?>
              <div class="fr-collapse" id="breadcrumb-1">
                <ol class="fr-breadcrumb__list">
                  <li>
                                <a class="fr-breadcrumb__link" href="/mgt/DosList">Liste des dossiers</a>
                  </li>
                  <li>
                                <a class="fr-breadcrumb__link" aria-current="page"><?php echo $this->DOSINFO['title']; ?></a>
                  </li>
                </ol>
              </div>
              <?php endif; ?>
            </nav>
	        </div>
          <div class="fr-col">
            <h1 class="fr-h3">
              <?php echo $this->DOSINFO['title']; ?>
              <span class="txtstatus">
                <?php echo $stinf['sts3']; ?>
              </span>
            </h1>
          </div>
          <div class="fr-col-1">
            <nav id="dossier-extra-menu" class="extra-menu fr-nav__item" role="navigation" aria-label="actions secondaires sur le dossier">
              <ul class="">
                <li class="">
                  <button class="fr-btn fr-btn--icon-right fr-icon-menu-2-fill">menu</button>
                  <ul class="dropdown fr-btns-group fr-btns-group--sm fr-btns-group--inline-sm fr-btns-group--icon-left">
                    <li>
                      <a class="fr-btn fr-btn--tertiary-no-outline fr-icon-pencil-fill" href="<?php echo $this->URL->GetInnerMethod('DispBlog'); ?>" target="_self">
                        Historique
                        <?php if ($this->DOSINFO['blogcnt']) {
                          echo "(" . $this->DOSINFO['blogcnt'] . ")";
                        } ?>
                      </a>
                    </li>
                    
                    <li>
                      <a class="fr-btn fr-btn--tertiary-no-outline fr-icon-team-fill" href="<?php echo $this->URL->GetInnerMethod('DispShare'); ?>" target="_self">Partager</a>
                    </li>

                    <?php if (@$this->DOSINFO['AR']) : ?>
                      <li>
                        <a class="fr-btn fr-btn--tertiary-no-outline fr-icon-mail-open-fill" href="<?php echo $this->URL->GetInnerMethod('DispAR'); ?>" target="_self">Accusés de réception</a>
                      </li>
                    <?php endif; ?>

                    <li>
                      <a class="fr-btn fr-btn--tertiary-no-outline fr-icon-settings-5-fill" href="<?php echo $this->URL->GetInnerMethod('DispParam'); ?>" target="_self">Paramètres</a>
                    </li>

                    <li>
                      <a class="fr-btn fr-btn--tertiary-no-outline fr-icon-links-line" href="<?php echo $this->URL->GetInnerMethod('DispDav'); ?>" target="_self">Accès direct</a>
                    </li>
                  </ul>
                </li>
              </ul>
            </nav>
	        </div>
	      </div>

        <div class="fr-grid-row fr-grid-row--gutters">
                   
          <div class="fr-col" style="display:block; align-self: start; text-align: center; justify-content:end;">
          <?php if (!empty($this->DOSINFO['signasker'])) : ?>
            <span class="fr-text--md"><strong>Demandeur&nbsp;:&nbsp;</strong></span><span class="fr-text--md"><?php echo $this->DOSINFO['signasker']; ?></span>
            <span class="fr-text--md fr-ml-3w"><strong>
            <?php 
            
            $nbSigners = count($this->SIGNATAIRES);
            echo $nbSigners>1? ' Signataires ('.$nbSigners.')&nbsp;:&nbsp;':'Signataire&nbsp;:&nbsp;'; ?>
          </strong></span>
            <?php  $loop = 0; 
            foreach($this->SIGNATAIRES as $signer) {

              if($loop >= 2) {
                echo ', ... <span aria-controls="signers-list" data-fr-opened="false" class="fr-text--" style="cursor:pointer;"><strong>voir plus</strong></span>'; 
               break;
              }

              if($loop) {
                echo ',&nbsp;';
              }
              echo '<span class="" style="    white-space: nowrap;">'. $signer->mail;
              if ( $signer->codeverified == 1 ) {
                echo "&nbsp;<span class='fr-badge os-signature-status fr-badge--sm fr-badge--success' aria-hidden='true' title='Signature effectuée'></span>\n";
              } else {
                if($signer->status == 'refused') {
                  echo "&nbsp;<span class='fr-badge os-signature-status fr-badge--sm fr-badge--error' aria-hidden='true' title='Signature refusée'></span>\n";
                } else {
                  echo "&nbsp;<span class='fr-badge os-signature-status fr-badge--no-icon fr-badge--sm fr-badge--info' aria-hidden='true' title='Signature en attente'>
                  <span class='fr-icon--xs fr-icon-question-mark' aria-hidden='true'></span></span>\n";
                }
              }
              echo '</span>';
              
        
              $loop++;
      
            }
          
      
		  ?>
    <?php endif; ?>
      </div>
      <?php if($nbSigners > 2) {
              include "content/modals/signers-list.html";
           } ?>
	<div class="fr-col-1" style="display:none;"></div>

        </div>
        <?php echo @$this->ARDATA; ?>
      </header>
    </div>

    <div class="fr-col-12 fr-col-md-3">
      <?php include "snippets/documents-navigation.html"; ?>
    </div>

    <div class="fr-col">

      <div class="os-docs-wrapper fr-container--fluid">

        <div class="os-docs-wrapper__actions">
          <?php if(count($this->DOSINFO['filelist'])): ?>
          <h3 class="fr-h5">Actions :</h3>
          <ul class="fr-btns-group fr-btns-group--inline-sm fr-btns-group--sm">

            <?php if ($this->DOSINFO['signstatus'] == 'asked') : ?>
              <li>
                <a class="fr-btn" href="
                    <?php echo $this->URL->GetInnerMethodArg1('SignAction', 'sign'); ?>" target="_self">
                  Signer
                </a>
              </li>
            <?php endif; ?>

            <?php if ($this->DOSINFO['signstatus'] == 'asked') : ?>
              <li>
                <a class="fr-btn" href="
                    <?php echo $this->URL->GetInnerMethodArg1('SignAction', 'refuse'); ?>" target="_self">
                  Refuser
                </a>
              </li>
            <?php endif; ?>

            <?php if (
              $this->DOSINFO['signstatus'] == 'asked' and
	      $this->DOSINFO['signasker'] == $this->UINFO['mail']
	    ) : ?>
              <li>
                <a class="fr-btn" href="
                    <?php echo $this->URL->GetInnerMethod('SignAbort'); ?>" target="_self">
                  Supprimer le dossier
                </a>
              </li>
            <?php endif; ?>

            <?php if (
              $this->DOSINFO['signstatus'] == 'asked' and
              $this->DOSINFO['signasker'] == $this->UINFO['mail']
	    ) : ?>
              <li>
                <a class="fr-btn" href="
                    <?php echo $this->URL->GetInnerMethod('SignRemail'); ?>" target="_self">
                  Relancer
                </a>
              </li>
            <?php endif; ?>

            <?php if (
              $this->DOSINFO['signstatus'] == 'draft' or
              $this->DOSINFO['signstatus'] == 'refused'
            ) : ?>
              <li>
                <a class="fr-btn" href="
                    <?php echo $this->URL->GetInnerMethod('SignRequest'); ?>" target="_self">
                  Envoyer à signer
                </a>
              </li>
            <?php endif; ?>

            <?php if (
              $this->DOSINFO['signstatus'] == 'draft' or
              $this->DOSINFO['signstatus'] == 'refused'
            ) : ?>
              <li>
                <a class="fr-btn" href="
                    <?php echo $this->URL->GetInnerMethod('SignAuto'); ?>" target="_self">Je signe
                </a>
              </li>
            <?php endif; ?>

            <?php if (
              $this->DOSINFO['signstatus'] == 'done'
            ) : ?>
              <li>
                <a class="fr-btn" href="<?php echo $this->URL->GetDosMethod('GetZip'); ?>" > 
                  Télécharger
                </a>
              </li>
            <?php endif; ?>

            <?php if (
              $this->DOSINFO['signstatus'] == 'done'
            ) : ?>
              <li>
                <a class="fr-btn" href="<?php echo $this->URL->GetInnerMethod('DispShare'); ?>" target="_self"> 
                  Partager
                </a>
              </li>
            <?php endif; ?>

          </ul>
          <?php endif; ?>
        </div>

        <div id="page-content"></div>
      </div>
    </div>
  </div>
</main>


<!-- -------------------------------------------------------------------- -->

<?php include "part_account_modal.html"; ?>

<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="/pub/jsext/jquery-3.3.1.min.js"></script>
<script src="/pub/jsint/resizeMC4.js"></script>
<script src="/pub/jsint/content.js"></script>

<script language="javascript">
  //  ResizeMCInit();
  changeContent("<?php echo $this->CONTURL; ?>");
  //RecallPosition();
</script>

<script language="javascript">
  function ToggleAll() {
    //var gsts = $('#togall').prop('checked');
    $('#sidemenufile input').each(function() {
      var sts = $(this).prop('checked');
      if (sts) {
        $(this).prop('checked', false);
      } else {
        $(this).prop('checked', true);
      }
    })
  }
</script>

</body>

</html>
